diff mbox series

Use GCC 12 branch in build-many-glibcs.py

Message ID alpine.DEB.2.22.394.2207012253590.465594@digraph.polyomino.org.uk
State Committed
Commit c33ada0602fdc3fcf44d6c792844a14b060bbfce
Headers show
Series Use GCC 12 branch in build-many-glibcs.py | expand

Checks

Context Check Description
dj/TryBot-apply_patch success Patch applied to master at the time it was sent
dj/TryBot-32bit success Build for i686

Commit Message

Joseph Myers July 1, 2022, 10:54 p.m. UTC
This patch makes build-many-glibcs.py use GCC 12 branch by default.

Tested with build-many-glibcs.py (host-libraries, compilers and glibcs
builds).

Comments

Florian Weimer July 4, 2022, 1:15 p.m. UTC | #1
* Joseph Myers:

> This patch makes build-many-glibcs.py use GCC 12 branch by default.
>
> Tested with build-many-glibcs.py (host-libraries, compilers and glibcs
> builds).
>
> diff --git a/scripts/build-many-glibcs.py b/scripts/build-many-glibcs.py
> index 35b82752fa..cc058e115c 100755
> --- a/scripts/build-many-glibcs.py
> +++ b/scripts/build-many-glibcs.py
> @@ -786,7 +786,7 @@ class Context(object):
>      def checkout(self, versions):
>          """Check out the desired component versions."""
>          default_versions = {'binutils': 'vcs-2.38',
> -                            'gcc': 'vcs-11',
> +                            'gcc': 'vcs-12',
>                              'glibc': 'vcs-mainline',
>                              'gmp': '6.2.1',
>                              'linux': '5.18',

Looks okay, thanks.

Florian
diff mbox series

Patch

diff --git a/scripts/build-many-glibcs.py b/scripts/build-many-glibcs.py
index 35b82752fa..cc058e115c 100755
--- a/scripts/build-many-glibcs.py
+++ b/scripts/build-many-glibcs.py
@@ -786,7 +786,7 @@  class Context(object):
     def checkout(self, versions):
         """Check out the desired component versions."""
         default_versions = {'binutils': 'vcs-2.38',
-                            'gcc': 'vcs-11',
+                            'gcc': 'vcs-12',
                             'glibc': 'vcs-mainline',
                             'gmp': '6.2.1',
                             'linux': '5.18',